Skip to main content
PUT
/
connectors
/
configs
/
{id}
Update a V2 datasource
import requests

url = "https://{FUSION HOST}/api/connectors/configs/{id}"

payload = {
    "id": "lucidworks_file_upload-api-test-app",
    "properties": { "max_docs": 10 }
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
{
  "parserId": "api-test-app",
  "created": "2024-08-02T18:41:09.470Z",
  "coreProperties": {},
  "modified": "2024-08-02T20:15:04.684Z",
  "id": "lucidworks_file_upload-api-test-app",
  "_id": "hFkHhvlFrg",
  "type": "lucidworks.file-upload",
  "collectionId": "api-test-collection",
  "properties": {
    "mediaType": "application/octet-stream",
    "fileId": "pokedex.json.zip",
    "max_docs": 10
  },
  "pipelineId": "api-test-app"
}

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The datasource configuration ID.

Query Parameters

context
string

The context of resource. It usually is the app inside which the resource is created.

Body

application/json

The body is of type object.

Response

200 - application/json

OK

The response is of type object.